package com.yeejoin.amos.patrol.common.enums;

public enum DeptEnum {
    XA_JS("西安技术", "XAJS"),
    XA_YW("西安业务", "XAYW"),
    XY_YW("咸阳技术", "XYJS");

    /**
     * 名称，描述
     */
    private String name;
    /**
     * 编码
     */
    private String code;

    DeptEnum(String name, String code) {
        this.name = name;
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public static String getEnumCode(String name) {
        String code = "";
        for(DeptEnum type: DeptEnum.values()) {
            if (type.getName().equals(name)) {
                code = type.getCode();
                break;
            }
        }
        return code;
    }
}
