package com.yeejoin.amos.patrol.common.enums;

public enum ExcelEnum {
    BUSINESS("business", "temp/businessExportTemplate.xls"),
    TECHNOLOGY("technology", "temp/technologyExportTemplate.xls");

    /**
     * 名称，描述
     */
    private String type;
    /**
     * 编码
     */
    private String desc;

    ExcelEnum(String type, String desc) {
        this.type = type;
        this.desc = desc;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    public static String getEnumDesc(String type) {
        String desc = "";
        for(ExcelEnum label: ExcelEnum.values()) {
            if (label.getType().equals(type)) {
                desc = label.getDesc();
                break;
            }
        }
        return desc;
    }
}
