package com.yeejoin.amos.patrol.service.remote.feign;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import com.yeejoin.amos.patrol.common.core.request.CheckResultPushSpcRequest;

import java.util.List;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.util.MultiValueMap;

import com.yeejoin.amos.patrol.common.entity.CommonResponse;
import com.yeejoin.amos.patrol.service.business.param.PushMsgParam;


//推送
@FeignClient(name = "${Push.fegin.name}", configuration={MultipartSupportConfig.class})
public interface PushFeign {



		@RequestMapping(value = "/api/user/sendMessage", method = RequestMethod.POST)
		CommonResponse sendMessage( @RequestBody List<PushMsgParam> responses);


	    @RequestMapping(value = "/api/user/sendMessageone", method = RequestMethod.POST)
	    CommonResponse sendMessageone( @RequestBody PushMsgParam responses);


	    @RequestMapping(value = "/api/user/pushNoticeMany", method = RequestMethod.POST)
	    CommonResponse pushNoticeMany( @RequestBody PushMsgParam responses);

	    @RequestMapping(value = "/api/user/buildPushPayload", method = RequestMethod.POST)
	    CommonResponse buildPushPayload( @RequestBody PushMsgParam responses);

	    @RequestMapping(value = "/api/user/pushDevice", method = RequestMethod.GET)
	    CommonResponse PushDevice( @RequestParam("alias") String alias);

	    @RequestMapping(value = "/api/user/PushDeviceRegistration", method = RequestMethod.GET)
	    CommonResponse PushDeviceRegistration( @RequestParam("registrationId") String registrationId,@RequestParam("alias") String alias);
}
