package com.yeejoin.amos.patrol.service.business.param;

import java.util.List;

import com.yeejoin.amos.patrol.common.core.request.CommonPageable;

public class CheckInfoPageParam extends CommonPageable {
	
	/**
	 * 开始日期
	 */
	private String beginDate;
	/**
	 * 结束日期
	 */
	private String endDate;
	/**
	 * 人员名称
	 */
	private String userName;
	
	/**
	 * 人员编号
	 */
	private String userId;
	
	/**
	 * 点编号
	 */
	private String pointNo;
	/**
	 * 点ID
	 */
	private String pointId;
	/**
	 * 点名称
	 */
	private String pointName;
	
	/**
	 * 点分类 0-移动 1-固定
	 */
	private String isFixed;
	/**
	 * 执行情况：0-计划外完成 1-按时完成
	 */
	private String finishStatus;
	/**
	 * 是否合格 1-不合格 0-合格
	 */
	private String isOK;
	/**
	 * 所属计划
	 */
	private String planId;
	/**
	 * 所属路线
	 */
	private String routeId;
	
	/**
	 * 机构
	 */
	private String orgCode;
	/**
	 * 分类id
	 */
	private String catalogId;
	private String orderBy ;
	/**
	 * 部门id
	 */
	private String departmentId;

	/**
	 * 其他部门人员id集合
	 */
	private List ids;
	/**
	 * 模板类型
	 */
	private String statement;

	public String getOrderBy() {
		return orderBy;
	}

	public void setOrderBy(String orderBy) {
		this.orderBy = orderBy;
	}

	public String getBeginDate() {
		return beginDate;
	}

	public void setBeginDate(String beginDate) {
		this.beginDate = beginDate;
	}

	public String getEndDate() {
		return endDate;
	}

	public void setEndDate(String endDate) {
		this.endDate = endDate;
	}

	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}

	public String getPointNo() {
		return pointNo;
	}

	public void setPointNo(String pointNo) {
		this.pointNo = pointNo;
	}

	public String getPointName() {
		return pointName;
	}

	public void setPointName(String pointName) {
		this.pointName = pointName;
	}

	public String getIsFixed() {
		return isFixed;
	}

	public void setIsFixed(String isFixed) {
		this.isFixed = isFixed;
	}

	public String getFinishStatus() {
		return finishStatus;
	}

	public void setFinishStatus(String finishStatus) {
		this.finishStatus = finishStatus;
	}

	public String getIsOK() {
		return isOK;
	}

	public void setIsOK(String isOK) {
		this.isOK = isOK;
	}

	public String getPlanId() {
		return planId;
	}

	public void setPlanId(String planId) {
		this.planId = planId;
	}

	public String getRouteId() {
		return routeId;
	}

	public void setRouteId(String routeId) {
		this.routeId = routeId;
	}

	public String getOrgCode() {
		return orgCode;
	}

	public void setOrgCode(String orgCode) {
		this.orgCode = orgCode;
	}

	public String getCatalogId() {
		return catalogId;
	}

	public void setCatalogId(String catalogId) {
		this.catalogId = catalogId;
	}

	public String getUserId() {
		return userId;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}

	public String getPointId() {
		return pointId;
	}

	public void setPointId(String pointId) {
		this.pointId = pointId;
	}

	public String getDepartmentId() {
		return departmentId;
	}

	public void setDepartmentId(String departmentId) {
		this.departmentId = departmentId;
	}

	public List getIds() {
		return ids;
	}

	public void setIds(List ids) {
		this.ids = ids;
	}

	public String getStatement() {
		return statement;
	}

	public void setStatement(String statement) {
		this.statement = statement;
	}
}
