package com.yeejoin.amos.patrol.service.remote.feign;

import com.yeejoin.amos.patrol.common.core.response.PointCheckInfoBusinessRespone;
import com.yeejoin.amos.patrol.common.entity.CommonResponse;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

/**
 * 风险系统
 */
@FeignClient(name = "${gateway.fegin.name}", configuration={MultipartSupportConfig.class})
public interface AmosRiskFeign {

    @RequestMapping(value = "/api/risksource/data/patroldata", method = RequestMethod.PUT, consumes= MediaType.APPLICATION_JSON_UTF8_VALUE)
    CommonResponse checkStatusPushToB(@RequestBody PointCheckInfoBusinessRespone pb);
}
